---
title: "Choose Your Own Smart Wife"
---

# Choose Your Own Smart Wife
Developed by [Jenny Kennedy](https://www.jennykennedy.net/) and [Yolande Strengers](https://research.monash.edu/en/persons/yolande-strengers)

## Overview

The aim here is for participants to interrogate the stereotypical gendered ideology that underpins emerging home technologies that we might otherwise call advanced.  
 
Excerpt from [The Smart Wife](https://mitpress.mit.edu/books/smart-wife) (MIT, 2020)
 
“There are a range of artificial wife- inspired creations moving into our homes. These include robovacs, smart fridges and laundry- folding machines, digital home voice assistants, social robots, sexbots, and other feminized (and even supposedly gender- neutral) AI devices intended to help around the home. Many of these technologies resemble an idealized 1950s’ housewife, subservient to the needs of her family. These smart wives are already performing a range of wifework, including housekeeping, homemaking, caring, and sex. 
 
As we have shown, delegating women’s or wives’ traditional work to this new smart workforce has benefits and drawbacks. The idea of outsourcing is no doubt appealing. Most countries with advanced economies are in the midst of a wife drought— underpinned by growing divorce rates, greater participation by women in the workforce, continuing stigma associated with men staying at home to parent children, and a lack of corresponding support for the unpaid and invisible labors that have historically fallen to women. Smart wives are on hand to provide all manner of help. They can also be fun to play with, sometimes for the whole household. And let’s not forget that smart wives are friendly, cute, and nice. What’s not to like? 
 
On the flip side, our smart sisters are women in servitude. They are often depicted as bitches with glitches— frequently sexualized, pornified, or teased, abused, and debased for not performing as expected. They cannot consent to the acts that they are asked to perform, and most cannot or do not call out the abuse directed toward them. They are often considered toys for boys, but can also create more work for men, what with the digital housekeeping required to set up, maintain, and integrate them into homes. 
 
What’s more, smart wives can expose people, particularly women, to a host of security and privacy risks. They have yet to be designed with rigorous environmental codes or regulations— and indeed have track records that are rapidly shifting away from ecofeminists’ concerns for the survival of the planet and lives of marginalized people who are dubiously enrolled in the smart wife’s making. Th ey are put forward by governments, technology companies, and some researchers as unproblematic solutions to a host of social problems, such as care for the aged or the uneven division of household labor. And finally, smart wives are only available to those able to afford and access them— and the internet, home, skills, and electricity services that they depend on. Those who don’t experience these privileges are more likely to be entwined in the geographically and racially uneven environmental as well as labor effects involved in her creation. 
 
These issues require bigger conversations about gendered care and housework, the value of human relationships, kinship, and intimacy in societies, and the inequities and power dynamics underpinning capitalist modes of production. A decision must be made about the fate of the smart wife in response to these social issues, and it must be made by the industries, governments, societies, and people involved in bringing her into existence. 
 
And so we find ourselves at a crossroads, where we consider two familiar marital paths. We must either divorce the smart wife or we all need to change for the better. The first path is a separation, an ending, a fait accompli. The second is a new beginning, a complete renewal of our vows (between smart wives and those wedded to her)— that is, a system overhaul for the twenty- first century.” 
 

## Activity

Activity: 
Imagine you are a voice-activated smart home-operating system (also known as a conversational agent, digital voice assistant, or chatbot). Write your introduction script.  

How would you introduce yourself and explain your purpose to your new user(s)?  What is your name? Or, do you have a name? Do you have a personality? If yes, how would you describe it? Do you have any other defining features? Can you explain how you are operated? What can you do? What won't you do? How do you interact with other devices, or others in the home? What do you listen and respond to? What do people need to do to get started interacting with you?  
Choose a voice for your system. Insert your introduction script into a text-to-speech tool. 

You can use Google's [text-to-speech tool](https://cloud.google.com/text-to-speech) to create a voice for your system (or another text-to speech tool if you prefer)  

Vary the accent, vocal tone, pitch and speed of your system’s voice until you are happy with it. (If using Google’s text-to-speech tool you can do this by heading down to the subheading “Put Text-to-Speech into action”.) 

Small groups 
- Listen to one another’s voice system scripts. What do they have in common? How are they different?  Discuss your decision-making process when writing your script and choosing a voice for your system. Did you decide that the system has a gender? How is this inscribed on the voice you chose? Is race inscribed on the voice you chose? 

Discussion: 
- How does your smart home voice system compare to others presently on the market? Does it subvert expectations of how smart home voice assistants will perform or respond? 

Homework: 
- Email your introduction script to chooseyourownsmartwife@gmail.com   

Include either a recording of the voice selected or the settings chosen in your preferred text-to-speech tool. 

If using Google's text-to-speech tool, you can record your settings in a simple file format by selecting ‘Show JSON’ and copying the body text. 

Submissions received will be collated and shared here at a later stage. 




 
## Resources
- Yolande Strengers and Jenny Kennedy , [The Smart Wife: Why Siri, Alexa, and Other Smart Home Devices Need a Feminist Reboot](https://mitpress.mit.edu/books/smart-wife) (2020) 
- Thao Phan, [Amazon Echo and the Aesthetics of Whiteness](https://catalystjournal.org/index.php/catalyst/article/view/29586), *Catalyst* (2019) 
- UNESCO and EQUALS Skills Coalition, [I’d blush if I could](https://en.unesco.org/Id-blush-if-I-could) (2019) 
- [More](https://www.instagram.com/p/CAvAGL3BE9c/), an experimental gender-neutral text-to-speech voice composed of two voices. Voice concept and design by @maibauvald @timstathee and @desiree_kabis • recorded with @_rebeccazink and @moritz_schottmueller with #cereproc • voice coaching with @celine_ohne_a 