---
title: "Diagnostic Listening"
---

# Diagnostic Listening

Imagine a stethoscope without a doctor. What would it hear? Why would it be listening? What does your body say when you're speaking? What does it say when you're [not](https://www.wired.com/insights/2014/06/heartbeat-may-soon-password/ "Your Heartbeat May Soon Be Your Only Password")? 

This experiment invites participants to occupy, understand and critique a diagnostic imaginary increasingly being cultivated by corporate and other actors in the field of machine listening. Listen to someone speaking. It could be yourself, a recording, a friend or family member, or as part of a group. Maybe close your eyes. Try to listen past the content of the speech to the body of the speaker (but where does one end and the other begin?). What do you hear? Accent? Nationality? Emotion? Age? Sex? Gender? Ethnicity? Sexuality? Health? Criminality? Risk? Trustworthiness? Likeability? Truth? Covid-19? How do you know? Which of your hypotheses feel safe, and why? How close have you allowed yourself to veer towards physiognomy and other forms of pseudoscience and prejudice? How did you know you'd crossed the line? 

If you're in a group, discuss your answers. Be sensitive to the privacy questions that arise - about probing too far into others' lives - but notice that the politics of this boundary question is also part of the problem you are discussing. Now consider what it means to claim to be able to hear these things in a voice or a body. Or to claim that a machine could here them reliably even if you or other human listeners cannot. What does it mean to embed these listenings in automated and extractive systems? Where or when might this seem more appropriate? Where or when totally unjustified? In a world where every device is a stethoscope, does that make big tech doctors? Or peddlers of computational phsyiognomy? Is all audio data health data now?

## Resources

* Jonathan Sterne, “Mediate Auscultation, the Stethoscope and the ‘Autopsy of the Living’: Medicine’s Acoustic Culture,” Journal of Medical Humanities 2, (June, 2001): 115–36
* On the histories of computational physiognomy and personality computing, see Jake Goldenfein, "From Photographic Image to Computer Vision: Neural Networks and Identity in the World State" in *Monitoring Laws* (2020)