---
title: "Adversarial Music"
---

# Adversarial Music

Adversarial music exploits the fact that "automatic speech recognition systems based on machine learning have some wiggle room that an attacker can exploit." By adding some artful distortion, it's possible to mislead a system to recognise one piece of audio for another, and therefore to embed a command to, for instance, ["unlock the backdoor"](https://adversarial-attacks.net/ "adversarial attacks") in a [song](https://www.youtube.com/watch?v=dQw4w9WgXcQ).

The production of adversarial music is not only technically difficult but requires enormous imagination. So far, this work has been more or less exclusively by [engineers](https://www.youtube.com/watch?v=r4XXGDVs0f8&feature=emb_title "Adversarial Music Demo Video") in a niche subfield of machine listening concerned with finding and exposing security vulnerabilites. This exercise invites participants to think more expansively: to honour the real imaginative and aesthetic work being done by the engineers who developed these techniques, but also to begin to imagine other artistic and political applications, and in doing so to situate adversarial music in relation to art history.

How might adversarial music be used in creative contexts? In a mass television or radio broadcast that did something more interesting that trigger your smart speaker and alert you to the existence of a brand? Or in an installation context? What tradition or traditions would this kind of work be in dialogue with? Trompe l'oeil certainly, perhaps surrealism, and traditions of encoding messages in records via backmasking? What would situating adversarial music in these traditions help us to hear, imagine or understand?

## Overview

- Introduction:
  - Explain main concepts and issues.
- Small groups:
  - In small groups, discuss the possibilities for adversarial music as a creative and political practice, as well as the art historical traditions in relation to which these possibilites would be situated (30 minutes).
- Whole group discussion:
  - Feedback your reflections to the group and discuss (45 min).
- Homework:
  - Collaborate with a computer scientist on a record (???).

## Resources

* Li et al, "Adversarial Music: Real world Audio Adversary against Wake-word Detection System" (2019) https://arxiv.org/abs/1911.00126 
* Sean Dockray, Performing Algorithms: Automation and Accident (2019)
